WordPress.org

Ready to get started?Download WordPress

Forums

Video Embed & Thumbnail Generator
FFMPEG missing library (15 posts)

  1. nbiz
    Member
    Posted 2 years ago #

    Congratulations on this great plugin Kyle.

    I have been back and forth with my hosting company (psek.com) regarding the following errors which is rendered when I click 'encode'.

    Encoding Mobile M4V. FFMPEG missing library 'libvorbis' or 'libvpx' required for WEBM encoding. FFMPEG missing library 'libvorbis' or 'libtheora' required for OGV encoding.

    Hosting company claims these files are installed....

    After reading about older versions of FFMPEG and issues with 'vpre' flags, I was excited to see this update today with the option to add 'vpre' flags but after updating still receiving the error.

    Cleared cache, etc. but no joy.

    Any thoughts?

    Thanks again for this plugin.

    http://wordpress.org/extend/plugins/video-embed-thumbnail-generator/

  2. Kyle Gilman
    Member
    Plugin Author

    Posted 2 years ago #

    Are you sure you're getting this error when you're encoding Mobile/H.264 only? You should only get that error when OGV is encoding. The simple answer is your FFMPEG installation doesn't have those libraries installed. The vpre flags are only related to H.264 encoding.

  3. heidz
    Member
    Posted 2 years ago #

    Hi Kyle,

    I have to agree with nbiz, it's a great plugin that you've developed, it makes it much easier to provide a media friendly site.

    Unfortunately, with the upgrade I'm getting the same error as nbiz, but only for WEBM encoding. Not for OGV.

    When I initially upload a file and press encode with all 3 checked I get the following response.

    Encoding Mobile M4V. FFMPEG missing library 'libvorbis' or 'libvpx' required for WEBM encoding. Encoding OGV. (continues if window is closed)

    I have checked with sys admin and the libvorbis library is installed so I'm not sure what's going on.
    Any suggestions?

    Cheers,
    Heidz

  4. Kyle Gilman
    Member
    Plugin Author

    Posted 2 years ago #

    Heidz, were you able to encode WEBM files on your server with an earlier version of my plugin? And you're only getting this error message with a more recent version? And you're sure you also have libvpx installed on your server? You definitely have libvorbis, since you're able to encode OGV files.

  5. heidz
    Member
    Posted 2 years ago #

    Hi Kyle,
    Yes I was able to encode WEBM with the earlier version (2.0.3 - installed 21/3). With this version H264 encoding was initially giving me the error that some libraries were not installed. But after installing the libraries this seemed to be fixed.

    It was only after installing the latest version (2.0.6 - installed 30/4) that I received the error I detailed previously.
    I have checked with the sys admin and the packages that are installed are:

    libvpx.x86_64 1.0.0-1.el6 @atrpms-testing
    libvorbis.x86_64 1:1.2.3-4.el6_2.1 @rhel-x86_64-server-6

    Could it be a version thing?
    Or do the devel packages need to installed?
    libvorbis-devel is already installed and libxpv-devel was just installed as well but the same error is still coming up.

    Thanks for your help troubleshooting this :)

    Cheers,
    Heidz

  6. Kyle Gilman
    Member
    Plugin Author

    Posted 2 years ago #

    Heidz, so far I haven't been able to figure out why it would work in 2.0.3 and not work in 2.06. Nothing in the WEBM encoding code is different as far as I can tell.

    The plugin doesn't use dev libraries and it doesn't check version numbers. All it does is check that the libraries are listed in the configuration when FFMPEG is run (specifically it looks for "enable-libvorbis" and "enable-libvpx"). If you have command line access you can try running ffmpeg and let me know what you get.

    For now I'd suggest going back to version 2.0.3 which you can get at http://downloads.wordpress.org/plugin/video-embed-thumbnail-generator.2.0.3.zip

  7. zinkwazi
    Member
    Posted 2 years ago #

    I had this same issue. I had installed ffmpeg via RPM (with yum) but that version did not include the --enable-libvorbis etc...
    Actually an additional symptom was that empty files would appear in the destination directory.

    I fixed it by following these instructions to remove the RPMs and compile from source - now it works perfectly:
    http://cumulusclips.org/docs/install-ffmpeg-x264-on-centos/
    I also needed to grab libvpx to finish, instructions here:
    http://ubuntuforums.org/showthread.php?t=786095&highlight=Upgrading+FFmpeg+x264&page=149

    Great plugin, thanks Kyle!

    Greg

  8. heidz
    Member
    Posted 2 years ago #

    Hi Kyle and zinkwazi,

    Thanks for all your help and suggestions.

    We had another go compiling from source rather than yum and now the newer version is working!

    Wonderful :)

    Thanks again!
    Cheers,
    Heidi

  9. sanderbontje
    Member
    Posted 1 year ago #

    I know compilation and installation of ffmpeg is off topic for this plugin, but I guess a lot of people are having trouble with it.

    I had to compile ffmpeg and libs from source to get the re-encoding for mobile devices working (CentOS 6.3). The links from the earlier posts in this thread were very useful.

    Before compiling it myself, I was using ATrpms' ffmpeg-0.10.2-54.el6.x86_64. One thing that put me on the wrong foot was the error message that was displayed after I hit the 'Encode' button:
    FFMPEG missing library 'libfaac' 'libvo-aacenc' or 'libx264' required for Mobile M4V encoding.
    That should be either libfaac OR libvo-aacenc must be present AND libx264 too. The ffmpeg binary that I was using from ATrpms is compiled with the libx264 library, but misses libfaac and libvo-aacenc.

    All is good now. Great plugin with great features!

  10. dirtygeek
    Member
    Posted 1 year ago #

    Hello,

    I'm using trying out the plugin and loving it so far... However, I'm getting an error that I can't seem to solve. Every time I try to encode WEBM videos I get the message 'FFMPEG missing library 'libvorbis' or 'libvpx' required for WEBM encoding.'

    I had my server techs review the plugin code and they tell me 'There appears to be something wrong with how the plugin detects those libraries'. They printed out the ffmpeg command and ran it from the command line as the same user as the server runs as and it worked 1, 2, 3.

    Which leads them to believe the problem is a detection issue with the plugin code itself. Any ideas how to correct this?

    Just in case you need it, I've included a copy of the ffmpeg command that worked via command line.

    ffmpeg command:
    /usr/local/bin/ffmpeg -y -i "/web/sites/user/site.com/wp-content/uploads/2011/11/hf084_ws-_TUBE_tube5.mp4" -acodec libfaac -ab 128k -s 640x480 -vcodec libx264 -threads 1 -b 1440k -bt 800k -f ipod "/web/sites/user/site.com/wp-content/uploads/2011/11/hf084_ws-_TUBE_tube5-ipod.m4v" > /web/sites/user/site.com/wp-content/uploads/2011/11/hf084_ws-_TUBE_tube5_0713_encode.txt

  11. Kyle Gilman
    Member
    Plugin Author

    Posted 1 year ago #

    @dirtygeek that ffmpeg command doesn't encode a webm video. It only encodes an mp4/m4v. Are you able to encode webm files through the command line? I know that there is a problem with library detection if you're running LIBAV instead of the original FFMPEG (apparently the developers got in a fight and branched off last year) and that will be fixed in the next version of the plugin.

  12. deltafactory
    Member
    Posted 1 year ago #

    As you mention, ffmpeg is in a state of flux. I believe they have changed a number of command line options, etc. I'll be looking for information about compatible versions, compilation instructions etc. If anyone can point me in the right direction that would help a lot.

    I'll be doing some research on the topic in the next day or so and I'll try to report back what I find.

  13. sanderbontje
    Member
    Posted 1 year ago #

    @deltafactory I've pasted a log of my attempt to compile ffmpeg on CentOS 6.3 on Pastebin.

    On another server running CentOS 5.8 I have ffmpeg-0:0.6.5-1.el5.rf.x86_64 installed from the rpmforge repo. With that rpm I am able to transcode to H264 MP4 mobile video's right out of the box (after enabling the 'vpre'-flags in the plugin settings). But not to WEBM or OGV, those libs are missing.

  14. Dmitriy Voeykov
    Member
    Posted 1 year ago #

    Hi Kyle,
    Thanks for great plugin.

    I found problem with big video files. When I convert video to H264/mobile and try play it on my browser (firefox,chrome), video doesn't play untill fully downloaded.
    I resolved this problem with qt-faststart utility.
    May I suggest my solution for your plugin?

  15. Kyle Gilman
    Member
    Plugin Author

    Posted 1 year ago #

    @Dmitriy Yes, this has been a problem since the beginning, but I've finally figured out a good way to implement it. The next version of the plugin will use either qt-faststart or MP4Box (user choice) to automatically move the moov atom to the front of a completed mp4/m4v file which will allow progressive downloading.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic